# encoding: utf-8
"""
@author: luojunhui
"""
import time
import json
import requests


class Test(object):
    """
    测试
    """
    local_ip_address = "localhost"
    # local_ip_address = "192.168.100.31"
    # local_ip_address = "61.48.133.26"

    @classmethod
    def ask_question(cls):
        """
        请求数据
        :return:
        """
        url = "http://{}:9111/search_videos".format(cls.local_ip_address)
        content = """
        近期，钓鱼岛海域再次成为中日两国之间的焦点。日本海上保安厅大规模部署船只，对钓鱼岛进行挑衅性调查，导致局势迅速升级。中国海警紧急出动，展示了捍卫国家主权的坚定决心。这一事件不仅引起了国际社会的广泛关注，也使得中日两国之间的外交关系进一步紧张。
        钓鱼岛及其附属岛屿自古以来就是中国的固有领土，历史和法律依据早已确立。明代时期，中国就已经将钓鱼岛列为国土的一部分，并且在历史上进行了实际管辖。然而，日本在1895年甲午战争后非法占领了钓鱼岛，并在二战后未能依照国际法规定归还给中国，这进一步加强了中国对钓鱼岛主权的合法性。
        中国在钓鱼岛主权问题上的立场一直是明确且坚定的。无论是从历史文献还是从国际法角度来看，钓鱼岛及其附属岛屿都是中国不可分割的一部分。中方多次强调，钓鱼岛问题是涉及中国领土主权的核心问题，任何国家都不应对此抱有任何幻想。
        近日，日本石垣市市长中山义隆及其随行人员试图进入钓鱼岛海域，引发了中国政府的强烈不满。为了护航中山市长的船只，日本海上保安厅出动了14艘船只，这一行动被视为对中国领土主权的挑衅。面对这一情况，中国海警船只果断应对，展示了坚定捍卫国家主权的立场。
        在钓鱼岛海域的对峙过程中，日本海保船只试图逼近钓鱼岛，中国海警船只则采取了果断的阻挡措施。日本方面甚至使用舰载大炮对准中国船只，这一行为不仅违反了国际法规，也给地区和平稳定带来了严重威胁。中国海警船只展现出了坚定的态度，坚决捍卫钓鱼岛的领土主权。
        钓鱼岛海域紧张局势的升级，不仅凸显了地区安全环境的不稳定性，也暴露了中日两国之间的潜在冲突风险。国际社会对此事件高度关注，各国媒体纷纷报道，分析局势可能的发展方向和对地区和平的影响。
        许多国际专家认为，中日之间的领土争端不仅仅是两个国家之间的事情，它还涉及到东亚地区的安全稳定。美国、韩国、俄罗斯等国家都在密切关注这一事件的发展，并呼吁双方通过对话解决争端，避免局势进一步恶化。
        中国始终坚持维护国家领土主权和海洋权益的立场，对任何侵犯行为都将做出果断回应。中国政府多次强调，钓鱼岛问题是国家核心利益，不容任何妥协。中国海警船员在此次事件中的勇敢表现，展示了中国作为一个负责任大国的担当。
        中国海警船只在钓鱼岛海域的果断行动，不仅保护了国家主权，也向国际社会展示了中国捍卫领土完整的决心。中国政府呼吁日本方面能够客观看待事实，遵守国际法规，共同维护地区和平与稳定。
        钓鱼岛海域的紧张局势升级事件，引发了国际社会的广泛关注。中国希望通过双方的努力和国际社会的共同努力，能够维护地区的和平稳定，推动中日关系走向健康发展。中国一贯主张通过对话与谈判解决争端，反对任何形式的单方面行动。
        在当前复杂的国际形势下，维护地区和平与稳定显得尤为重要。希望各方能够冷静理性，避免采取使局势进一步恶化的行动。通过对话和合作，共同维护东亚地区的和平与稳定，是全体国际社会的共同责任。
        此次钓鱼岛海域的紧张局势，再次提醒我们国际局势的复杂多变。中国海警船员的勇敢表现和对国家主权的坚定捍卫，展现了中国作为一个负责任大国的担当。希望通过双方的努力和国际社会的共同努力，能够维护地区的和平稳定，推动中日关系走向健康发展。
        """
        body = {
            "accountName": "音药养心馆",
            "content": content,
            "cover": "http://mmbiz.qpic.cn/mmbiz_jpg/DAIqn771G5OegJt9iacR7k7Gxgs0ic6Vg0fUtxmicJzxoBWicibQciaQkhgXzsyJqnfETRibGHMwZzsCkSuVXb16xdMTg/0?from=appmsg",
            "ghId": "gh_6d205db62f04",  # ab2
            # "ghId": "gh_c69776baf2cd", # ab0
            "title": "中方家门口爆发“冲突”，日舰突然亮出大炮，中方海警舰当场撞了过去"
        }

        a = time.time()
        header = {
            "Content-Type": "application/json",
        }

        response = requests.post(url, json=body, headers=header, timeout=600)
        b = time.time()
        print(b - a)
        print(json.dumps(response.json(), ensure_ascii=False, indent=4))
        return response.json()

    @classmethod
    def recall_video(cls, trace_id):
        """
        召回视频
        :param trace_id:
        :return:
        """
        url = "http://{}:9111/recall_videos".format(cls.local_ip_address)
        header = {
            "Content-Type": "application/json",
        }
        body = {
            "traceId": trace_id
        }
        a = time.time()
        response = requests.post(url, json=body, headers=header, timeout=600)
        b = time.time()
        # print(json.dumps(response.json(), ensure_ascii=False, indent=4))
        print("Time Costs", b - a)
        return response.json()


T = Test()
result = T.ask_question()
t_id = result['traceId']
print(t_id)
while True:
    res = T.recall_video(trace_id=t_id)
    if res.get("videoUrl"):
        print(json.dumps(res, ensure_ascii=False, indent=4))
        break
    time.sleep(5)

