# encoding: utf-8
import json
import time

import requests

url = "http://61.48.133.26:8111/title_to_video"
content = """
陈宝国，一个在贫困家庭长大的男孩，却凭借着执着和努力，走出了自己的道路，成为了演艺圈的一颗明星。他的演艺生涯充满了坎坷和挑战，但他始终坚守着初心，不忘初衷。在他的生活中，有一位默默支持他的妻子赵奎娥，以及他的儿子陈奕丞，他们共同构成了一个温馨而幸福的家庭。\n\n陈宝国从小就展现了对表演的兴趣，尽管他的家庭条件并不富裕，但他并没有放弃自己的梦想。小时候，他经常在家里模仿电影里的角色，表演得惟妙惟肖。他的父母虽然经济拮据，但他们从未打击过他的梦想，反而尽力支持他。在家人的支持下，陈宝国更加坚定了自己的信念。\n\n高中毕业后，陈宝国决定报考中央戏剧学院，然而第一次考试却并不顺利。他名落孙山，但他并没有因此气馁，而是更加刻苦地准备第二次考试。为了节省路费，他甚至在火车上站了一夜，终于在第二次考试中如愿以偿，成功考入了中央戏剧学院，正式开启了自己的演艺之路。\n\n在中央戏剧学院的学习过程中，陈宝国遇到了人生中的另一半——赵奎娥。赵奎娥同样是一名对表演充满热情的年轻人，他们在共同的兴趣爱好中找到了共鸣，逐渐走到了一起。毕业后，陈宝国和赵奎娥步入了婚姻的殿堂，开始了他们的家庭生活。\n\n陈宝国的事业一帆风顺，很快便在演艺圈崭露头角，获得了多项重要演艺奖项，成为了众人瞩目的焦点。然而，成功的背后却是无尽的辛苦和付出。赵奎娥为了支持丈夫的事业，毅然放弃了自己的演艺生涯，成为了一名全职的家庭主妇。她在背后默默地照顾家庭，承担起了所有的家务，让陈宝国能够全心投入到工作中。\n\n在事业的高峰期，陈宝国常常因为工作忙碌而无法陪伴家人，但赵奎娥从未有过怨言。她深知丈夫的辛劳，始终默默地支持着他。无论是工作上的压力，还是生活中的琐事，赵奎娥都一一承担，成为了陈宝国坚强的后盾。\n\n陈宝国和赵奎娥的儿子陈奕丞在这样的家庭环境中长大，耳濡目染，对演艺也产生了浓厚的兴趣。尽管陈宝国曾对儿子的选择有所担忧，但他还是选择支持和鼓励他，希望他能够实现自己的梦想。在父亲的帮助下，陈奕丞逐渐走上了演艺之路，取得了不俗的成就，展现出了自己独特的演艺才华。\n\n陈奕丞的成长过程中，陈宝国不仅是一个严厉的父亲，更是一个无私的导师。他用自己的经验和教训，细心指导儿子的每一步。他告诉陈奕丞，演艺不仅仅是光鲜亮丽的舞台和掌声，更是无尽的辛苦和付出。陈奕丞深受父亲的影响，逐渐成长为一个有责任感、有担当的男人。\n\n现在，陈宝国已经年过六旬，他开始享受生活，更加珍惜和关爱自己的家人。随着时间的推移，他更加深刻地体会到家庭的重要性。在忙碌的演艺生涯中，他总是尽可能地抽出时间陪伴家人，和他们一起度过每一个重要的时刻。他希望儿子能找到自己的幸福，成为一个有责任感的男人。\n\n家庭的温暖和幸福是陈宝国最宝贵的财富，他深知这份幸福来之不易，更加珍惜和保护。他希望能够将这份温暖和幸福传承下去，让家族的爱和坚守继续延续。他常常对儿子说：“无论事业多么重要，家庭永远是我们最坚强的后盾。”\n\n在这个家庭中，每个人都在努力坚守着自己的事业和爱情，彼此支持和理解。陈宝国和赵奎娥用爱和坚持构筑起一道道坚不可摧的堡垒，无论是在事业还是在生活中，他们共同传承着家庭的幸福和温暖。正是因为有了这份爱和坚守，他们才能战胜一切困难，踏上幸福的旅程。\n\n陈宝国的家庭故事感人至深，他的坚守与爱让人动容。他们一家人共同努力，传承着幸福与温暖。让我们一起感受陈宝国和他的家人传承的爱与坚守，让我们一起为他们的幸福祈祷，愿他们的家庭永远幸福美满，传承下去。愿每一个家庭都能像他们一样，充满爱与温暖，共同走过人生的每一个阶段，坚定地前行。\n\n让我们一起为家庭、事业和爱情的坚守与传承点赞，让爱永远伴随着我们，温暖我们的心灵。在面对人生的风风雨雨时，只要心中有爱，就能战胜一切困难，迎接幸福的曙光。陈宝国的故事告诉我们，爱和坚守是人生中最宝贵的财富，愿我们每一个人都能拥有这份宝贵的财富，幸福地走过人生的每一个阶段。
"""
body = {
    "accountName": "音药养心馆",
    "content": content,
    "cover": "http://mmbiz.qpic.cn/mmbiz_jpg/DAIqn771G5OegJt9iacR7k7Gxgs0ic6Vg0fUtxmicJzxoBWicibQciaQkhgXzsyJqnfETRibGHMwZzsCkSuVXb16xdMTg/0?from=appmsg",
    # "ghId": "gh_6d205db62f04", # ab2
    "ghId": "gh_c69776baf2cd", # ab0
    "title": "国家一级演员陈宝国：娶初恋赵奎娥，结婚40年宠妻如宝，如今儿子成最大“心结”"
}

a = time.time()

header = {
    "Content-Type": "application/json",
}

response = requests.post(url, json=body, headers=header, timeout=600)
b = time.time()
print(b - a)
print(json.dumps(response.json(), ensure_ascii=False, indent=4))
